# PhasicFlow: regionBase Class Reference

regionBase Class Referenceabstract
Inheritance diagram for regionBase:
[legend]

## Public Member Functions

| regionBase ()=default
| regionBase (const regionBase &)=default
regionBase & | operator= (const regionBase &)=default
virtual | ~regionBase ()=default
virtual bool | isInside (const realx3 point) const =0
virtual realx3 | minPoint () const =0
virtual realx3 | maxPoint () const =0
virtual word | name () const =0

## Detailed Description

Definition at line 31 of file positionParticles.hpp.

## Constructor & Destructor Documentation

## regionBase() [1/2]

regionBase | ( |  | ) |

default

## regionBase() [2/2]

regionBase | ( | const regionBase & |  | ) |

default

## ~regionBase()

virtual ~regionBase | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=()

regionBase& operator= | ( | const regionBase & |  | ) |

default

## isInside()

virtual bool isInside | ( | const realx3 | point | ) | const

pure virtual

Implemented in region< T >.

## minPoint()

virtual realx3 minPoint | ( |  | ) | const

pure virtual

Implemented in region< T >.

## maxPoint()

virtual realx3 maxPoint | ( |  | ) | const

pure virtual

Implemented in region< T >.

## name()

virtual word name | ( |  | ) | const

pure virtual

Implemented in region< T >.

The documentation for this class was generated from the following file:

- utilities/particlesPhasicFlow/positionParticles/positionParticles.hpp